[PC-BSD Commits] r5203 - pcbsd/trunk/mfsroot-overlay/etc
svn at pcbsd.org
svn at pcbsd.org
Wed Dec 2 10:34:20 PST 2009
Author: kris
Date: 2009-12-02 10:34:20 -0800 (Wed, 02 Dec 2009)
New Revision: 5203
Modified:
pcbsd/trunk/mfsroot-overlay/etc/IntegrityCheck.sh
Log:
Updated Integrity Check script, also check freebsd distfile as well as PC-BSD
Modified: pcbsd/trunk/mfsroot-overlay/etc/IntegrityCheck.sh
===================================================================
--- pcbsd/trunk/mfsroot-overlay/etc/IntegrityCheck.sh 2009-12-02 18:31:00 UTC (rev 5202)
+++ pcbsd/trunk/mfsroot-overlay/etc/IntegrityCheck.sh 2009-12-02 18:34:20 UTC (rev 5203)
@@ -20,15 +20,11 @@
# Check if we have an install image to check and prompt
-if [ -e "/cdmnt/PCBSD.tar.lzma" -o -e "/cdmnt/PCBSD.ufs.uzip" ]
+if [ -e "/cdmnt/fbsd-release.tbz" -a -e "/cdmnt/PCBSD.ufs.uzip" ]
then
-if [ -e "/cdmnt/PCBSD.tar.lzma" ]
-then
- CHECKFILE="/cdmnt/PCBSD.tar.lzma"
-else
- CHECKFILE="/cdmnt/PCBSD.ufs.uzip"
-fi
+CHECKFILE="/cdmnt/PCBSD.ufs.uzip"
+CHECKFILE2="/cdmnt/fbsd-release.tbz"
echo -e "Check integrity of installer archive?\n This may take several minutes. [y]:\c"
read -t15s response
@@ -42,6 +38,12 @@
echo "FAILED"
exit 1
fi
+ /sbin/md5 -q ${CHECKFILE2} | /bin/cmp -s ${CHECKFILE2}.md5 -
+ if [ "$?" != "0" ]
+ then
+ echo "FAILED"
+ exit 1
+ fi
echo "OK"
fi
More information about the Commits
mailing list